CombinedLocationStrategy.Builder (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.io, class: CombinedLocationStrategy, class: Builder

Package org.apache.commons.configuration2.io

# Class CombinedLocationStrategy.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<CombinedLocationStrategy,CombinedLocationStrategy.Builder>
org.apache.commons.configuration2.io.AbstractFileLocationStrategy.AbstractBuilder<CombinedLocationStrategy,CombinedLocationStrategy.Builder>
org.apache.commons.configuration2.io.CombinedLocationStrategy.Builder

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<CombinedLocationStrategy>`

Enclosing class:
  `CombinedLocationStrategy`

public static class CombinedLocationStrategy.Builder extends AbstractFileLocationStrategy.AbstractBuilder<CombinedLocationStrategy,CombinedLocationStrategy.Builder>
Builds new instances of `CombinedLocationStrategy`.

Since:
  2.15.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CombinedLocationStrategy`
  `get()`
  `CombinedLocationStrategy.Builder`
  `propagate()`
  Propagates properties of the parent builder scheme and host to subStrategies.
  `CombinedLocationStrategy.Builder`
  `setSubStrategies(Collection<FileLocationStrategy> subStrategies)`
  Sets the collection with sub strategies.

  ### Methods inherited from class org.apache.commons.configuration2.io.AbstractFileLocationStrategy.AbstractBuilder

  `setHosts, setHostsRegEx, setSchemes`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public CombinedLocationStrategy get() throws IOException
    Throws:
      `IOException`

  - ### propagate

    public CombinedLocationStrategy.Builder propagate()
    Propagates properties of the parent builder scheme and host to subStrategies.
    Returns:
      `this` instance.

  - ### setSubStrategies

    public CombinedLocationStrategy.Builder setSubStrategies(Collection<FileLocationStrategy> subStrategies)
    Sets the collection with sub strategies.
    Parameters:
      `subStrategies` - the collection with sub strategies.
    Returns:
      `this` instance.